#ifndef PAECADAVRE_HEADER
#define PAECADAVRE_HEADER

#include <iostream>
#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>
#include <math.h>

#include "World.h"
#include "Definitions.h"
#include "Utilities.h"
#include "Animal.h"

using namespace std;



class World;

class PaeCadavre: public Animal{
  private:
    float position[3];
    float flesh_amount;
    World *my_world;
  public:
    PaeCadavre *next_cadavre;
    
    PaeCadavre(World *w, float *pos);
    void Draw(void);
    void ReduceFlesh(float amount);
    void Rot(void);
    float GetFlesh(void);
    void GetPosition(float *p);
};

#endif
