/* 
 * File:     PaeSheep.h
 * Author:   PAE
 * Date:     23.03.2006
 * Modified: 23.03.2006
 *
 * Purpose: Headerdatei zur Klasse PaeSheep
 */
 
#ifndef PAE_SHEEP_HEADER
#define PAE_SHEEP_HEADER

#include <iostream>
#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>
#include <math.h>

#include "Definitions.h"
#include "World.h"
#include "Animal.h"

using namespace std;

class World;

class PaeSheep: public Animal{
 private:
  float acc[3];   // blickrichtung
  float up[3];    // wo ist oben?
  float v;
  
  int zustand;
  int suchzeit;
  
  GLUquadricObj *leg_quadric;
  
  void DrawLeg(void);

 public:
  PaeSheep *nextsheep;


  /*
   * 1. Konstruktoren
   */
  PaeSheep(void);                               // Standardkonstruktor
  PaeSheep(float x, float y, World *the_world); // erweiterter Konstruktor


  /*
   * 2. Destruktoren
   */
  ~PaeSheep();                                  // Standarddestruktor

  /*
   * 3. Modifizierer
   */
  void Think(void);
  void Move(void);
  void SetStandardParameters(void);

  void Draw(int visual);  // Zeichnet das Schaf  
  


};

#endif // PAE_SHEEP_HEADER

