/* 
 * File:    Animal.h
 * Author:  MJW
 * Date:    27.04.2006
 *
 * Purpose: headerdatei mit definitionen der Oberklasse Animal
 */
 
 
 
#ifndef ANIMAL_HEADER
#define ANIMAL_HEADER

#include <GL/gl.h>

class World;

class Animal{
private:

public:
  float pos[3];  //position
  float dir[3];  //richtung nur 2d berechnung
  GLfloat col[3];      //zeichenfarbe
  GLfloat vis_col[3];  //animationsfarbe

  World *my_world;

  Animal(void);


  /*
   * 3. Modifizierer
   */
  void InvertDirection(void);  
  void SetPosition(GLfloat x, GLfloat y, GLfloat z);
  void SetDirection(GLfloat x, GLfloat y, GLfloat z);
  void SetColor(GLfloat r, GLfloat g, GLfloat b);
  void SetVisColor(GLfloat r, GLfloat g, GLfloat b);

  /*
   * 4. Selektoren
   */

  void GetPosition(float *p);
  void GetDirection(float *d);

};


#endif  // ANIMAL_HEADER
