#
#ifndef DEFINITIONS_HEADER
#define DEFINITIONS_HEADER



/*
 * Aus World.cpp
 */

#define STARTING_SHEEP 40
#define MAX_SHEEP 200

#define STARTING_WOLF  2
#define FOOD_PER_SHEEP 0.1
#define BLICKWINKELCOS 0

/*
 * Aus Terrain.cpp
 */

#define GRASWACHSTUMSKONSTANTE           0.003  
//das gras waechst logistisch, die graswkonstante ist das k in der formel

#define SCHRITTZAHL                     1000  
//nach wie vielen schritten wird bei der erzeugung des terrains aufgehoert

#define HOEHENUNTERSCHIED                30.0
//um wieviel wird das Gelaende je Faltung max. erhoeht/erniedrigt

#define WASSERHOEHE                      -0.01
//wie hoch ist das wasser     

#define STARTHOEHE                       0.0
//wie hoch ist das terrain zu beginn   

#define RANGE                            7.0
// Nach der Generierung wird das Terrain auf [-RANGE,RANGE] skaliert


/*
 * Aus Terrain.cpp
 */

#define MINUTES               0
#define HOURS                 1
#define DAYS                  2
#define MONTHS                3
#define YEARS                 4



/*
 * Aus PaeSheep.cpp
 */

// Die Zustaende der Schafe
#define GRASEN 1
#define SUCHEN 2
#define FLIEHEN 3

// Die Verhaltensparameter der Schafe
#define GRAS_LEVEL 0.05
#define SUCHZEIT 7
#define SUCHDELTA 5.0
#define HERDENDISTANZ 10.0



/*
 * Aus Wolf.cpp
 */


// Die Zustaende der Woelfe
#define JAGD        0     // das tier ist hungrig
#define SCHLAF      1     // das tier jagd schafe
#define WANDERN     2     // das tier geht nur herum ohne zu jagen
#define FRESSEN     3     // das tier frisst

// Die Parameter der Woelfe
#define SCHLAFZEIT  20    // mittlere Zeit, die ein Wolf schlaeft
#define SCHLAFDELTA 10.0  // max. Abweichung von der mittl. Schlafzeit
#define JAGDABSTAND 0.8   // der abstand, aus dem ein wolf toetet im quadrat
#define MAXSPEED    2.0   // maximale geschwindigkeit
#define MINSPEED    0.2   // minimale geschwindigkeit
#define FRESSMASSE  0.1   // Was ein Wolf pro Runde von einem Kadaver frisst

#define AUSDAUER       30   // mittlere Ausdauer eines Wolfs  
#define AUSDAUERDELTA  10.0 // max. Abweichung von der mittl. Ausdauer

/*
 * Aus PaeCadavre.cpp
 */
 
#define FLEISCH 2.0           //wie viel fleisch ist in einem cadaver
#define ROTTFAKTOR 0.0001       //wie viel fleisch geht durch verrottung verloren



#endif   /* DEFINITIONS_HEADER */
