#include "PaeCadavre.h"




PaeCadavre::PaeCadavre(World *w, float *pos){
    
  flesh_amount = FLEISCH;
  
  my_world = w;
  
  position[0] = pos[0];
  position[1] = pos[1];
  position[2] = my_world->GetHeight(position[0], position[1]);
  
  next_cadavre = NULL;
}


void PaeCadavre::Draw(void){
  glPushMatrix();
    glColor3f(1.0,0.0,0.0);
    glTranslatef(position[0], position[1], position[2]);
    glutSolidSphere(flesh_amount/(float)FLEISCH,6,6);
  glPopMatrix();
}


void PaeCadavre::ReduceFlesh(float amount){
  flesh_amount -= amount;
  if(flesh_amount < 0.0){
    flesh_amount = 0.0;
  }
}



void PaeCadavre::Rot(void){
  this->ReduceFlesh(ROTTFAKTOR);
}



float PaeCadavre::GetFlesh(void){
  return flesh_amount;
}


void PaeCadavre::GetPosition(float *p){
  p[0] = position[0];
  p[1] = position[1];
  p[2] = position[2];
}
